import matplotlib.pyplot as plt
from matplotlib.lines import Line2D
import numpy as np
import os
font = {'family' : 'serif',
        'weight' : 'normal',
        'size'   : 14}
plt.rc('text', usetex=False)
plt.figure(figsize=(6,5))
fig = plt.figure(1)
ax = fig.add_axes([0.1,0.11,0.87,0.85])

mydata = np.loadtxt('langevin.dat',skiprows=1,unpack=True)
t=mydata[0]
x2=mydata[3]
x2_anal=mydata[4]

plt.plot(t,x2,markersize=8, marker='o', markerfacecolor='None', markeredgecolor='g', markeredgewidth=1.5)
plt.plot(t,x2_anal,linestyle='-',linewidth=2,color='r',)

ax.tick_params(axis='both', which='major', labelsize=14)

ax.set_xticks(np.arange(0,22,1), minor=False)
ax.set_xticklabels(np.arange(0,22,1), minor=False, family='serif')
ax.set_xticks(np.arange(0,22,0.5), minor=True)
plt.xlim(0.0,5)

ax.set_yticks(np.arange(0,20,2), minor=False)
ax.set_yticklabels(np.arange(0,20,2), minor=False, family='serif')
ax.set_yticks(np.arange(0,20,1), minor=True)
plt.ylim(0.0,8.0)

plt.xlabel('$t$', fontsize=18, weight='normal')
plt.ylabel('$\langle x^2\\rangle$',fontsize=18)

plt.savefig('langevin.pdf',format='pdf')
os.system('open -a Preview langevin.pdf')
#plt.show()
quit()
